#include<bits/stdc++.h>
using namespace std;
int niz[2000000], niz1[10];
int main ()
{
	int n, i=0, maks=-1, p, g, k=0;
	cin>>n;
	while(i<n)
	{
		cin>>niz[i];
		niz1[niz[i]]++;
		if(i==0)g=niz[i];
		else if(niz[i]!=g && k==0)k++;
		if(niz[i]>=maks && k>0)maks=niz[i],p=i;
		i++;
	}
	i=0;
	sort(niz1,niz1+10);
	while(niz[i]>=maks && i<p)i++;
	if(i==p && niz1[9]==1)swap(niz[n-1],niz[n-2]);
	else if(i<p)swap(niz[p],niz[i]);
	i=0;
	while(i<n)cout<<niz[i]<<" ",i++;
	return 0;
}